﻿@using Cdio447.Supports;
@{
    ViewBag.Title = "PlayerInfo";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var games = (List<Cdio447.Models.games>)ViewBag.games;
    var success = ViewBag.success;
}
@model Cdio447.ViewModels.InfoPlayerViewModel
<div class="row">
    <div class="col-12 col-lg-3">
        @{ Html.RenderAction("GeneInfo", "User"); }
    </div>
    <div class="col-12 col-lg-9">
        @Html.Partial("_HeaderPlayerControl")
        <div class="user-infopl my-3">
            @using (Html.BeginForm("PlayerInfo", "User", FormMethod.Post))
            {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-row">
                <div class="col-12 col-lg-6">
                    <label>Danh sách các tựa game</label>
                    <select id="select_game" data-placeholder="Chọn các tựa game" multiple="" class="chosen-select">
                        @foreach (var g in games)
                        {
                            <option value="@g.id">@g.name</option>
                        }
                    </select>
                    @if (Model.game_id != null)
                    {
                        for (int i = 0; i < Model.game_id.Length; i++)
                        {
                            @Html.HiddenFor(model => model.game_id[i], new { @class = "gameIdrender" })
                        }
                    }
                    @Html.ValidationMessageFor(model => model.game_id, "", new { @class = "text-danger" })
                </div>
                <div class="col-12 col-lg-6">
                    <label>Chi phí mỗi giờ thuê</label>
                    <input type="text" id="amount_convert" class="form-control" />
                    @Html.HiddenFor(model => model.amount_in_one, new { @id = "amountPayWd", @class = "form-control", @placeholder = "Số tiền cần nạp" })
                    @Html.ValidationMessageFor(model => model.amount_in_one, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-row">
                <div class="col-12 col-lg-6">
                    <label>Mô tả ngắn</label>
                    @Html.TextBoxFor(model => model.title, new { @class = "form-control", @placeholder = "Mô tả ngắn về bạn (hiển thị ngoài trang chủ)" })
                    @Html.ValidationMessageFor(model => model.title, "", new { @class = "text-danger" })
                </div>
                <div class="col-12 col-lg-6">
                    <label>Nhập theo định dạng sau "tag 1-tag 2-tag-3-..."</label>
                    @Html.TextBoxFor(model => model.tag, new { @class = "form-control", @placeholder = "Từ khóa" })
                    @Html.ValidationMessageFor(model => model.tag, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group">
                <label>Mô tả chi tiết</label>
                @Html.TextAreaFor(model => model.description, new { @class = "form-control", @style = "height: 300px" })
                @Html.ValidationMessageFor(model => model.description, "", new { @class = "text-danger" })
            </div>
            <div class="form-row">
                <div class="col-12 col-lg-6">
                    <label>Link facebook</label>
                    @Html.TextBoxFor(model => model.link_fb, new { @class = "form-control", @placeholder = "Nhập link facebook" })
                    @Html.ValidationMessageFor(model => model.link_fb, "", new { @class = "text-danger" })
                </div>
                <div class="col-12 col-lg-6">
                    <label>Highlight youtube (lưu ý chỉ lấy id của Url <a target="_blank" href="~/Content/assets/img/tus_getIdUrlYt.png">Xem thêm</a>)</label>
                    @Html.TextBoxFor(model => model.link_youtube, new { @class = "form-control", @placeholder = "Nhập link youtube" })
                    @Html.ValidationMessageFor(model => model.link_youtube, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-row">
                <div class="col-12 col-lg-6">
                    <label>Link instagram</label>
                    @Html.TextBoxFor(model => model.link_insta, new { @class = "form-control", @placeholder = "Nhập link instagram" })
                    @Html.ValidationMessageFor(model => model.link_insta, "", new { @class = "text-danger" })
                </div>
                <div class="col-12 col-lg-6">
                    <label>Link messenger</label>
                    @Html.TextBoxFor(model => model.link_messenger, new { @class = "form-control", @placeholder = "Nhập link messenger" })
                    @Html.ValidationMessageFor(model => model.link_messenger, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group mb-0 mt-3 text-center pt-3" style="border-top: 1px solid #e74c3c">
                <button type="submit" class="btn btn_template">Cập nhật</button>
            </div>
            }
        </div>
    </div>
</div>
@section scripts {
    @if (success != null)
    {
        <script>
            setTimeout(function () { alert("Cập nhật thành công"); }, 100);
        </script>
    }
}
